Bug 15676 - Ctrl+\ & Ctrl+Break propagation to java process
Ctrl+\ & Ctrl+Break propagation to java process
Status: CLOSED WONTFIX
Product: cnd
Classification: Unclassified
Component: Terminalemulator
3.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: akemr
ivan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-20 10:37 UTC by Jaroslav Tulach
Modified: 2008-12-23 08:33 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2001-09-20 10:37:41 UTC
I always missed a functionality to print thread dump of java process when the
output goes to output window. When terminal emulator was introduced I hoped that
situation improves but it does not seeem so.

When running java process from console you can press Ctrl+\ on UNIXes to print
stack traces of all threads and Ctrl+Break on windows. 

So I tried it in output window and it does not seemed to work. Could this be
enhanced?
Comment 1 Petr Nejedly 2001-09-20 10:54:24 UTC
IMO couldn't.
The reason is simple, the functionality is provided by UNIX
virtual console kernel driver which intercepts the Ctrl+\
and sends a signal to the process owning the console.
You can't send signals from Java and sending the control code for
Ctrl+\ won't help because it's stream, not VT in this case.
Anyway, ccing Trung as an experienced hacker to check my statement :-)
Comment 2 Jan Chalupa 2001-11-27 11:51:52 UTC
Target milestone -> 3.3.1.
Comment 3 Jan Chalupa 2001-11-27 11:55:32 UTC
Target milestone -> 3.3.1.
Comment 4 Jan Chalupa 2002-01-11 14:00:47 UTC
Target milestone -> 3.4
Comment 5 Jan Chalupa 2002-01-11 14:05:13 UTC
Target milestone -> 3.4
Comment 6 Jan Chalupa 2002-01-11 14:06:44 UTC
Target milestone -> 3.4
Comment 7 Jan Chalupa 2002-01-11 14:10:19 UTC
Target milestone -> 3.4
Comment 8 akemr 2002-01-21 09:13:50 UTC
Closing - see Petr's explanation
Comment 9 Quality Engineering 2003-07-01 16:00:52 UTC
Resolved for 3.4.x or earlier, no new info since then -> verified.

Comment 10 Quality Engineering 2003-07-01 16:23:12 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 11 Quality Engineering 2008-12-23 08:33:34 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo